Description

Supportanfrage

Ein Kunde fragt ob es die selben Tastatur-Shortcuts zum Bsp. zum starten und stoppen des Playbacks wie in ADTF 2 auch in ADTF

3 gibt.

In ADTF 2 konnte man mit Ctrl+Space das Playback pausieren und weiter abspielen. In ADTF 3 startet nach dem pasusieren das

Playback dann von vorne.

Gibt es eine Übersicht welche Shortcuts im GUI Control möglich sind? Ich habe so eine Übersicht ohne die GUI Control in der Doku

gefunden: 3.11.2/doc/guides/tools_adtf_configuration_editor.html#shortcuts, Bzw. nur für die ANwendung von Markern

3.11.2/doc/guides/tools_adtf_guicontrol.html

Lösung

Das GUI Control hat leider nicht genug "Liebe erfahren", so dass hier wenig möglich ist.

Es wird auch sicherlich sterben, wenn wir für euch das neue GUI Tooling erstellt haben, weil dieses den Funktionssatz abdeckt und

wir mit kommender ADTF 3.12.0 das XSystem selbst so aufgehübscht haben, dass auch u.a. Player und Recorder Control enthalten

sind. Hier gibt es dann auch sämtlich Shortcuts und erwartetes Verhalten (inkl. Pause) und diese sind ebenso in der XSystem Doku

verlinkt. Noch ein paar Tage Geduld, dann solltet ihr das auch haben.

Die Shortcuts im GUI Control sind sicherlich zu hinterfragen, ebenso das Tool selbst.

Ich würde es einfach keinen empfehlen und stattdessen den Launcher inkl. XSystem verwenden oder, für denn Fall mehrere

Instanzen gleichzeitig zu steuern, den CE selbst mit seinem Runtime Connect.

Ich habe dass dann auch nochmal versucht im Best Practice Tooling Guide zu überarbeiten, wie gesagt, noch etwas Geduld...

Der letzte nightly sollte aber schon relativ viel davon bereitstellen, wenn ihr es euch mal anschauen wollt:

https://artifactory.digitalwerk.net/ui/repos/tree/General/Product-Releases%2FADTF%2FNightly

History

#1 - 2021-04-13 12:53 - hidden

- Status changed from New to In Progress

- Customer set to ELEKTROBIT

#2 - 2021-04-13 13:59 - hidden

- Project changed from Public Support to 7

#4 - 2021-04-14 09:15 - hidden

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9562

- Affected Products ADTF 3.11.0 added

- Platform Windows 10 64bit added

Hallo Anja,
nachgestellt das Strg + Space verhält sich in ADTF 3.x anders, hier wird die Wiedergabe gestoppt / gestartet, wie wenn man den Run-/Stop- Knopf im

GUI Control verwendet

Die Anfrage ist in einem Produktticket erfasst

Eine Übersicht der aktuell funktionierenden Shortcuts habe ich nicht gefunden

Bitte vorerst alternativ die Pausetaste des GUI Control verwenden

Florian, haben wir hier weitere Informationen?

#5 - 2021-04-14 09:22 - hidden

- Topic set to ADTF::GUIControl

#6 - 2021-04-19 10:22 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo zusammen,

das GUI Control hat leider nicht genug "Liebe erfahren", so dass hier wenig möglich ist.

Es wird auch sicherlich sterben, wenn wir für euch das neue GUI Tooling erstellt haben, weil dieses den Funktionssatz abdeckt und wir mit

kommender ADTF 3.12.0 das XSystem selbst so aufgehübscht haben, dass auch u.a. Player und Recorder Control enthalten sind. Hier gibt es dann

auch sämtlich Shortcuts und erwartetes Verhalten (inkl. Pause) und diese sind ebenso in der XSystem Doku verlinkt. Noch ein paar Tage Geduld,

dann solltet ihr das auch haben.

Die Shortcuts im GUI Control sind sicherlich zu hinterfragen, ebenso das Tool selbst.

Ich würde es einfach keinen empfehlen und stattdessen den Launcher inkl. XSystem verwenden oder, für denn Fall mehrere Instanzen gleichzeitig zu

steuern, den CE selbst mit seinem Runtime Connect.

Ich habe dass dann auch nochmal versucht im Best Practice Tooling Guide zu überarbeiten, wie gesagt, noch etwas Geduld...

Der letzte nightly sollte aber schon relativ viel davon bereitstellen, wenn ihr es euch mal anschauen wollt:

https://artifactory.digitalwerk.net/ui/repos/tree/General/Product-Releases%2FADTF%2FNightly

#9 - 2021-04-21 06:08 - hidden

Hallo Florian,

habt ihr schon eine Information wann die 3.12.0 kommt? Dann könnte ich den Kunden vorsichtig in Kenntnis setzen.

Grüße,

Anja

#10 - 2021-04-21 08:03 - hidden

Hi Anja,

der RC ist bereits im Testing, ADTF 3.12.0 soll diese Woche rausgehen.

#12 - 2021-04-23 06:56 - hidden

Ok, danke.

#13 - 2021-04-23 07:21 - hidden

- Project changed from 7 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#14 - 2021-04-23 07:21 - hidden

- Status changed from To Be Closed to Closed
